<?
/* 
   This file is part of the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2005 Sci-Tech Ontario Inc <info@scitechontario.org>
   Copyright (C) 2005 James Grant <james@lightbox.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
?>
<?
function registrationFormsReceived($reg_id="")
{
	if($reg_id) $rid=$reg_id;
	else $rid=$_SESSION['registration_id'];
	$q=mysql_query("SELECT status FROM registrations WHERE id='$rid'");
	$r=mysql_fetch_object($q);
	if($r->status=="complete" || $r->status=="paymentpending")
		return true;
	else
		return false;

}
function registrationDeadlinePassed()
{
	global $config;
	$q=mysql_query("SELECT (NOW()<'".$config['dates']['regclose']."') AS datecheck");
	$datecheck=mysql_fetch_object($q);
	if($datecheck->datecheck==1)
		return false;
	else
		return true;

}

function studentStatus($reg_id="")
{
	global $config;
	if($config['participant_student_personal']=="yes")
		$required_fields=array("firstname","lastname","address","city","postalcode","phone","email","grade","dateofbirth","schools_id");
	else
		$required_fields=array("firstname","lastname","email","grade","schools_id");

	if($config['participant_student_tshirt']=="yes")
		$required_fields[]="tshirt";

	if($reg_id) $rid=$reg_id;
	else $rid=$_SESSION['registration_id'];

	$q=mysql_query("SELECT * FROM students WHERE registrations_id='$rid' AND year='".$config['FAIRYEAR']."'");

	//if we dont have the minimum, return incomplete
	if(mysql_num_rows($q)<$config['minstudentsperproject'])
		return "incomplete";

	while($r=mysql_fetch_object($q))
	{
		foreach ($required_fields AS $req)
		{
			if(!$r->$req)
			{
				return "incomplete";
			}
		}
	}

	//if it made it through without returning incomplete, then we must be complete
	return "complete";
}

function emergencycontactStatus($reg_id="")
{
	global $config;
	$required_fields=array("firstname","lastname","relation","phone1");

	if($reg_id) $rid=$reg_id;
	else $rid=$_SESSION['registration_id'];

	$sq=mysql_query("SELECT id FROM students WHERE registrations_id='$rid' AND year='".$config['FAIRYEAR']."'");
	$numstudents=mysql_num_rows($sq);

	while($sr=mysql_fetch_object($sq))
	{
		$q=mysql_query("SELECT * FROM emergencycontact WHERE registrations_id='$rid' AND year='".$config['FAIRYEAR']."' AND students_id='$sr->id'");

		$r=mysql_fetch_object($q);

		foreach ($required_fields AS $req)
		{
			if(!$r->$req)
			{
				return "incomplete";
			}
		}
	}

	//if it made it through without returning incomplete, then we must be complete
	return "complete";
}

function projectStatus($reg_id="")
{
	global $config;
	$required_fields=array("title","projectcategories_id","projectdivisions_id","summary","language","req_table","req_electricity","summarycountok");

	if($reg_id) $rid=$reg_id;
	else $rid=$_SESSION['registration_id'];

	$q=mysql_query("SELECT * FROM projects WHERE registrations_id='$rid' AND year='".$config['FAIRYEAR']."'");

	//if we dont have a project entry yet, return empty
	if(!mysql_num_rows($q))
		return "empty";

	while($r=mysql_fetch_object($q))
	{
		foreach ($required_fields AS $req)
		{
			if(!$r->$req)
			{
				return "incomplete";
			}
		}
	}

	//if it made it through without returning incomplete, then we must be complete
	return "complete";
}


function mentorStatus($reg_id="")
{
	global $config;
	$required_fields=array("firstname","lastname","phone","email","organization","description");

	if($reg_id) $rid=$reg_id;
	else $rid=$_SESSION['registration_id'];

	//first check the registrations table to see if 'nummentors' is set, or if its null
	$q=mysql_query("SELECT nummentors FROM registrations WHERE id='$rid' AND year='".$config['FAIRYEAR']."'");
	$r=mysql_fetch_object($q);
	if($r->nummentors==null)
		return "incomplete";

	$q=mysql_query("SELECT * FROM mentors WHERE registrations_id='$rid' AND year='".$config['FAIRYEAR']."'");

	//if we dont have the minimum, return incomplete
	if(mysql_num_rows($q)<$config['minmentorserproject'])
		return "incomplete";

	while($r=mysql_fetch_object($q))
	{
		foreach ($required_fields AS $req)
		{
			if(!$r->$req)
			{
				return "incomplete";
			}
		}
	}

	//if it made it through without returning incomplete, then we must be complete
	return "complete";

}

function safetyStatus($reg_id="")
{
	global $config;

	if($reg_id) $rid=$reg_id;
	else $rid=$_SESSION['registration_id'];

	//grab all of their answers
	$q=mysql_query("SELECT * FROM safety WHERE registrations_id='$rid'");
	while($r=mysql_fetch_object($q))
	{
		$safetyanswers[$r->safetyquestions_id]=$r->answer;
	}

	//now grab all the questions
	$q=mysql_query("SELECT * FROM safetyquestions WHERE year='".$config['FAIRYEAR']."' ORDER BY ord");
	while($r=mysql_fetch_object($q))
	{
		if($r->required=="yes" && !$safetyanswers[$r->id])
		{
			return "incomplete";
		}
	}
	return "complete";

}

function spawardStatus($reg_id="")
{
	global $config;
	if($reg_id) $rid=$reg_id;
	else $rid=$_SESSION['registration_id'];

	$q=mysql_query("SELECT * FROM projects WHERE registrations_id='$rid'");
	$project=mysql_fetch_object($q);

	$awardsq=mysql_query("SELECT
				award_awards.id,
				award_awards.name,
				award_awards.criteria,
				projects.id AS projects_id
			FROM
				award_awards,
				project_specialawards_link,
				projects
			WHERE
				project_specialawards_link.projects_id='".$project->id."'
				AND project_specialawards_link.award_awards_id=award_awards.id
				AND projects.year='".$config['FAIRYEAR']."'
			ORDER BY
				award_awards.name
				");

	if(mysql_num_rows($awardsq))
		return "complete";
	else
		return "incomplete";
}

function tourStatus($reg_id="")
{
	global $config;

	if($reg_id) $rid=$reg_id;
	else $rid=$_SESSION['registration_id'];

	//grab all of their tour prefs
	$q=mysql_query("SELECT * FROM tours_choice WHERE registrations_id='$rid' and year='{$config['FAIRYEAR']}'");

	$n_tours = mysql_num_rows($q);
	
	if( ($n_tours >= $config['tours_choices_min']) && ($n_tours <= $config['tours_choices_max']) ){
		return "complete";
	}
	return "incomplete";
}



?>
